精华内容
下载资源
问答
  • 方法1:将无用的图层关闭,全选,COPY 粘贴至一新文件中,那些无用的图层就不会贴过来。如果曾经在这个不要的图层中定义过块,又在另一图层中插入了这个块,那么这个不要的图层是不能用这种方法删除的。 方法2: 选择...

    CAD如何删除图层 显示未删除选定图层

    方法2测试可行。

    方法1:将无用的图层关闭,全选,COPY 粘贴至一新文件中,那些无用的图层就不会贴过来。如果曾经在这个不要的图层中定义过块,又在另一图层中插入了这个块,那么这个不要的图层是不能用这种方法删除的。
    方法2: 选择需要留下的图形,然后选择文件菜单->输出->块文件,这样的块文件就是选中部分的图形了,如果这些图形中没有指定的层,这些层也不会被保存在新的图块图形中。
    方法3:打开一个CAD文件,把要删的层先关闭,在图面上只留下你需要的可见图形,点文件-另存为,确定文件名,在文件类型栏选*.DXF格式,在弹出的对话窗口中点工具-选项-DXF选项,再在选择对象处打钩,点确定,接着点保存,就可选择保存对象了,把可见或要用的图形选上就可以确定保存了,完成后退出这个刚保存的文件,再打开来看看,你会发现你不想要的图层不见了。
    方法4:用命令laytrans,可将需删除的图层影射为0层即可,这个方法可以删除具有实体对象或被其它块嵌套定义的图层。

    posted on 2018-01-15 17:14 lbsjs 阅读(...) 评论(...) 编辑 收藏

    展开全文
  • LISP批量删除指定图层

    2017-08-20 21:34:38
    源代码
  • 我们平时在设计图纸的时候,有的时候,也经常会遇到图层繁多,需要处理的情况,那么图层少的话,我们可以一个一个的进行删除清理,如果图层多了该怎么办?那今天小编就给大家详细的解说一下遇到这种情况,我们到底该...

    我们平时在设计图纸的时候,有的时候,也经常会遇到图层繁多,需要处理的情况,那么图层少的话,我们可以一个一个的进行删除清理,如果图层多了该怎么办?那今天小编就给大家详细的解说一下遇到这种情况,我们到底该如何解决问题。
    第一步:我们现在我们的电脑桌面上开始运行迅捷CAD编辑器软件,并在软件的上方打开一张CAD图纸文件。
    在这里插入图片描述
    第二步:在你的软件的上方菜单文件中找到【格式】——【图层工具】——【图层删除】然后点击放大图纸,直接点击你想要删除的图层就可以了。
    在这里插入图片描述

    第三步:进行清理图层文件:
    ①在界面左下方的命令栏中输入pu命令。按一下空格键执行命令。在界面中就会弹出一个“清理”的设置窗口。在“确认要清理的每个项目”和“清理嵌套项目”前打上勾。再点击“全部清理”。最后点击【关闭】那些没用的图层就会自动的清除掉了。
    在这里插入图片描述
    ②在界面左下方的命令栏中输入WBLOCK命令。 把需要传送的图形用WBLOCK命令以块的方式产生新的图形文件,把新生成的图形文件作为传送或存档用。
    在这里插入图片描述

    这样做的效果和清理差不多,因为写块文件时多余的数据也不会被写到块文件中。
    那以上就是小编整理的关于CAD绘图设计中怎样删除CAD图层?怎样清理CAD图层文件?的全部操作过程了,希望对你们有所帮助。

    展开全文
  • 基于浩辰CAD 2019测试 功能实现 ...[CommandMethod("CreateAndAssignAlayer")] //新建图层 然后添加到图层表里 public static void CreateAndAssignAlyer() { Document doc = Application.DocumentManager.M...

    基于浩辰CAD 2019测试 功能实现

    直接上代码:

    [CommandMethod("CreateAndAssignAlayer")] //新建图层 然后添加到图层表里
    public static void CreateAndAssignAlyer()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database db = doc.Database;
    using (Transaction Trans = db.TransactionManager.StartTransaction())
    {
    //以读模式打开图层表
    LayerTable layerTable;
    layerTable = Trans.GetObject(db.LayerTableId, OpenMode.ForNotify) as LayerTable;
    string sLayerName = "test1";
    if (layerTable.Has(sLayerName) == false)
    {
    LayerTableRecord layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByAci, 1);
    layerTableRecord.Name = sLayerName;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    Trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    BlockTable blockTable;
    blockTable = Trans.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord;
    blockTableRecord = Trans.GetObject(blockTable[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;
    Circle circle = new Circle();
    circle.Center = new Point3d(100, 200, 0);
    circle.Radius = 300;
    circle.Layer = sLayerName;
    blockTableRecord.AppendEntity(circle);
    Trans.AddNewlyCreatedDBObject(circle, true);
    db.Clayer = layerTable[sLayerName];
    Trans.Commit();
    }
    }
    [CommandMethod("TurnLayerOff")] //关闭图层表
    public void TurnLayerOff()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database database = doc.Database;
    using (Transaction trans = database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable;
    layerTable = trans.GetObject(database.LayerTableId, OpenMode.ForWrite) as LayerTable;
    String slayer = "20180415";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(slayer) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByColor, 2);
    layerTableRecord.Name = slayer;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = trans.GetObject(layerTable[slayer], OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.IsOff = true;
    BlockTable blockTable;
    blockTable = trans.GetObject(database.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord = trans.GetObject(blockTable[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;
    Circle cir = new Circle();
    cir.Center = new Point3d(200, 300, 400);
    cir.Radius = 500;
    cir.Layer = slayer;
    blockTableRecord.AppendEntity(cir);
    trans.AddNewlyCreatedDBObject(cir, true);
    trans.Commit();
    }
    }
    [CommandMethod("FrozenLayer")]
    public void FrozenLayer()
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable;
    layerTable = transaction.GetObject(database.LayerTableId,OpenMode.ForWrite) as LayerTable;
    string aLayer = "test1";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(aLayer)==false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Color = Color.FromColorIndex(ColorMethod.ByAci,3);
    layerTableRecord.Name = aLayer;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    transaction.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = transaction.GetObject(layerTable[aLayer],OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.IsFrozen = true;
    BlockTable blockTable = transaction.GetObject(database.BlockTableId, OpenMode.ForRead) as BlockTable;
    BlockTableRecord blockTableRecord = transaction.GetObject(blockTable[BlockTableRecord.ModelSpace],OpenMode.ForWrite) as BlockTableRecord;
    Circle cir = new Circle();
    cir.Center = new Point3d(200, 300, 400);
    cir.Radius = 500;
    cir.Layer = aLayer;
    blockTableRecord.AppendEntity(cir);
    transaction.AddNewlyCreatedDBObject(cir, true);
    transaction.Commit();
    }
    }
    [CommandMethod("SetLayerColor")] //指定图层颜色
    public void SetLayerColor()
    {
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database database = doc.Database;
    using (Transaction trans=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = trans.GetObject(database.LayerTableId, OpenMode.ForWrite) as LayerTable;
    string[] sLayerNames = new string[3];
    sLayerNames[0] = "ACIRed";
    sLayerNames[1] = "TrueBlue";
    sLayerNames[2] = "ColorBookYellow";
    Color[] acColors = new Color[3];
    acColors[0] = Color.FromColorIndex(ColorMethod.ByAci,1);
    acColors[1] = Color.FromRgb(23,54,232);
    acColors[2] = Color.FromNames("PANTONE Yellow 0131 C","PANTONE(R) pastel coated");
    int nCnt = 0;
    foreach (string sLayerName in sLayerNames)
    {
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(sLayerName) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Name = sLayerName;
    if (layerTable.IsWriteEnabled == false) layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    trans.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = trans.GetObject(layerTable[sLayerName], OpenMode.ForWrite) as LayerTableRecord;
    }
    layerTableRecord.Color = acColors[nCnt];
    nCnt++;
    }
    trans.Commit();
    }
    }
    [CommandMethod("SetLayerLineType")]
    public void SetLayerLineType() //设置图层线型
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction = database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = transaction.GetObject(database.LayerTableId,OpenMode.ForRead) as LayerTable;
    string sLayerName = "ABC";
    LayerTableRecord layerTableRecord;
    if (layerTable.Has(sLayerName) == false)
    {
    layerTableRecord = new LayerTableRecord();
    layerTableRecord.Name = sLayerName;
    layerTable.UpgradeOpen();
    layerTable.Add(layerTableRecord);
    transaction.AddNewlyCreatedDBObject(layerTableRecord, true);
    }
    else
    {
    layerTableRecord = transaction.GetObject(layerTable[sLayerName], OpenMode.ForRead) as LayerTableRecord;
    }
    LinetypeTable linetypeTable = transaction.GetObject(database.LinetypeTableId, OpenMode.ForRead) as LinetypeTable;
    if (linetypeTable.Has("Center") == true)
    {
    layerTableRecord.UpgradeOpen();
    layerTableRecord.LinetypeObjectId = linetypeTable["Center"];
    }
    transaction.Commit();
    }
    }
    [CommandMethod("EraseLayer")]
    public void EraseLayer() //删除图层
    {
    Document document = Application.DocumentManager.MdiActiveDocument;
    Database database = document.Database;
    using (Transaction transaction=database.TransactionManager.StartTransaction())
    {
    LayerTable layerTable = transaction.GetObject(database.LayerTableId, OpenMode.ForRead) as LayerTable;
    string sLayerName = "test1";
    if (layerTable.Has(sLayerName) == true)
    {
    ObjectIdCollection objectIdCollection = new ObjectIdCollection();
    objectIdCollection.Add(layerTable[sLayerName]);
    //database.Purge(objectIdCollection);
    if (objectIdCollection.Count>0)
    {
    LayerTableRecord layerTableRecord = transaction.GetObject(objectIdCollection[0], OpenMode.ForWrite) as LayerTableRecord;
    try
    {
    layerTableRecord.Erase(true);
    transaction.Commit();
    }
    catch(GrxCAD.Runtime.Exception ex)
    {
    Application.ShowAlertDialog("Error:\n" + ex.Message);
    }
    }
    }

    }
    }

    转载于:https://www.cnblogs.com/yannisCad/p/10711664.html

    展开全文
  • Arcglobe删除图层

    2017-07-29 09:50:32
    arcglobe我一直用remove但是没有成功,最后用的是delete,其中的接口是ibasicmap。delete,当时看的接口diagram.
    arcglobe我一直用remove但是没有成功,最后用的是delete,其中的接口是ibasicmap。delete,当时看的接口diagram.
    
    展开全文
  • photoshop里的一个插件,加载后可以一键删除不用的隐藏图层,对PS减小大小来说起到一定的做用。
  • 如何批量删除多个dwg指定图层,在cad中将多个文件中的一个固定图层批量删除掉,
  • 方法1:将无用的图层关闭,全选,COPY 粘贴至一新文件中,那 些无用的图层就不会贴过来。如果曾经在这个不要的图层中定义过块, 又在另一图层中插入了这个块,那么这个不要的图层是不能用这种方 法删除的。 方法2:...
  • 此cad插件vba格式,可批量删除dwg的指定图层,需批量删除图层的dwg与指定的图层txt放同一文件夹内,运行插件选中该文件夹即可批量删除指定图层
  • 1.创建图层——创建图层的意义就在于更加方便的区分每一个图层具体的表示,每个图层都是一个独立的个体,我们创建好之后,就可以单独的每一个个体进行操作,而不会影响其他的图层。 2.锁定图层——被锁定的图层可见...
  • cad教程分享-CAD中如何删除顽固图层?方法1: 选择需要留下的图形,然后选择文件菜单->输出->块文件,这样的块文件就是选中部分的图形了,如果这些图形中没有指定的层,这些层也不会被保存在新的图块图形中。....
  • 蒙版图层

    千次阅读 2016-11-13 19:51:32
    应用或删除图层蒙版 选择并显示图层蒙版通道 更改图层蒙版宝石红颜色或不透明度 显示全部 可以向图层添加蒙版,然后使用此蒙版隐藏图层的部分内容并显示下面的图层。蒙版图层是一项重要的合成技术,...
  • Leaflet初体验0x5 图层组和图层控件

    千次阅读 2019-01-12 23:14:47
    利用图层组将多个图层组织一起,利用图层控件可以实现让用户切换图层图层组 //直接添加到地图 var lgdYL = L.marker([42.046488, 121.655045]).bindPopup('这里是辽工大玉龙校区!').addTo(mymap), lgdXH = L...
  • 添加图层

    2012-09-19 22:19:23
    通过将形状分配到不同的图层,您可以有选择地查看、打印、着色和锁定不同类别的形状,以及控制能否与图层上的形状进行对齐或粘附等操作。 例如,当您绘制办公室布局时,可将墙壁、门和窗户分配
  • 点击编辑,删除选中的图层,然后点击报错,报错: 无法保存编辑内容,无法获取锁 ...报错原因:被另外一个程序打开占用了,看看身边的同事是不是也通过arcgis打开了,让他把arcgis关掉就可以编辑删除了。。。。 ...
  • CAD图层操作

    2019-09-16 16:25:22
    图层介绍 我们可以把图层想象为一张没有厚度的透明纸,各层之间完全对齐,一层上的某一基准点准确地对准其他各层上的同一基准点。用户可以给每一图层指定所用的线型、颜色,并将具有相同线型和颜色的对象放在统一...
  • CAD图层设置

    2019-06-14 09:48:19
    图层介绍 我们可以把图层想象为一张没有厚度的透明纸,各层之间完全对齐,一层上的某一基准点准确地对准其他各层上的同一基准点。用户可以给每一图层指定所用的线型、颜色,并将具有相同线型和颜色的对象放在统一...
  • ObjectArx图层操作总结 参考了网上收集资料,经过实测,ObjectArx2014和2018也可以用的,应该其他版本也没有问题的。文中的很多注释很详细,希望可以帮到新人。 1. 新建一个图层 CLayerOperator定义了NewLayer函数,...
  • 项目上要一个图层控制功能,当时也找到一些别人分享的,但是只能实现对一个动态服务图层的控制,然而项目上叠加了好几个图层,需要实现对多个服务图层的控制。一开始想简单了,觉得有几个图层构建几次树不就完事了,...
  • 我们先了解图层,关于图层操作有两个地方:菜单栏上的图层菜单和面板上的图层面板,图层也分为:普通图层、背景图层、质量对象图层、填充图层等。 图层的简单操作 1、选择图层:点击图层可以选择图层,变蓝则表示...
  • 记得大学上GIS课,老师不厌其烦地强调:空间数据是GIS的基础。相比较而言,当时GIS数据是相对匮乏的,...本文以天安门广场区域为例,用QGIS 3.x演示栅格地图矢量化的流程,重点介绍创建图层、栅格地图配准、编辑图层...
  • 图层 view

    2019-02-26 22:40:00
    图层是 Django 处理请求的核心代码层,我们大多数 Python 代码都集中在这一层面。它对外接收用户请求,对内调度模型层和模版层,统合数据库和前端,最后根据业务逻辑,将处理好的数据,与前端结合,返回给用户。视...
  • Arcgis engine 指定图层创建点要素 在指定的图层上创建一个点要素,点要素的位置是通过X,Y坐标指定的,下面是具体的注释 。其中 和IFeatureClassWrite接口有关的代码不要好像也可以实现这个功能,这里是直接通过...
  • Python AutoCAD 图层

    千次阅读 热门讨论 2019-07-20 14:16:23
    新建图层...... 颜色设置...... 线型设置...... 线宽设置......
  • 创建图层蒙版 快速建图层蒙版的方法: 建好选区后,点击图层面板下部的...利用图层菜单或利用图层面板上的右键快捷菜单即可停用、删除。 点掉图层中的图层与蒙版缩略图间的锁链标志,才能利用【移动】工具独立的
  • 3 矢量图层

    2020-03-09 16:52:37
    删除文件 from osgeo import ogr import os DriverName = "ESRI Shapefile" # e.g.: GeoJSON, ESRI Shapefile FileName = 'test.shp' driver = ogr.GetDriverByName(DriverName) if os.path.exists(FileName): ...
  • 因为对空间数据管理的不善(非法的删除、重命名及关闭数据粘贴中的arccatalog等),导致sde中存在一些垃圾数据、和图层名称被占用,我们在创建空间数据库环境时,在拷贝空间图层时往往发现图层名称被占用,(大部分...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 10,936
精华内容 4,374
关键字:

删除关闭的图层